package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazEva;

/**
 * 危险源安全生产评价 数据层
 */
@Mapper
public interface TBusiHazEvaMapper {

    /**
     * 查询危险源安全生产评价信息
     * @param guid 查询条件
     * @return 危险源安全生产评价信息
     */
    TBusiHazEva selectTBusiHazEvaByGuid(String guid);

    /**
     * 查询危险源安全生产评价列表
     * @param tBusiHazEva 危险源安全生产评价查询条件
     * @return 危险源安全生产评价集合
     */
    List<TBusiHazEva> selectTBusiHazEvaList(TBusiHazEva tBusiHazEva);

    /**
     * 新增危险源安全生产评价
     * @param tBusiHazEva 危险源安全生产评价信息
     * @return 影响行数
     */
    int insertTBusiHazEva(TBusiHazEva tBusiHazEva);

    /**
     * 修改危险源安全生产评价
     * @param tBusiHazEva 危险源安全生产评价信息
     * @return 影响行数
     */
    int updateTBusiHazEva(TBusiHazEva tBusiHazEva);

    /**
     * 删除危险源安全生产评价
     * @param guid 危险源安全生产评价主键
     * @return 影响行数
     */
    int deleteTBusiHazEvaByGuid(String guid);

    /**
     * 批量删除危险源安全生产评价
     * @param guids 危险源安全生产评价主键数组
     * @return 影响行数
     */
    int deleteTBusiHazEvaByGuids(String[] guids);
}
